
// Messages d'annonce de la future déconnexion
var html1 = 'Vous allez être déconnecté dans moins de 5 minutes. Toute modification non validée dans 5 minutes sera perdue...<br><a href="#" id="connect">Cliquez ici</a> pour rester connecté.';
var html2 = 'Vous avez été déconnecté automatiquement. Si vous validez cette page, vos modifications seront perdues. Il suffit avant cela de taper à nouveau votre nom et votre mot de passe&nbsp;;\
<form id="formlogin">\
  <p class="ligne"><label for="login">Nom d\'utilisateur&nbsp;: </label><input type="text" name="login" id="logintmp"></p>\
  <p class="ligne"><label for="motdepasse">Mot de passe&nbsp;: </label><input type="password" name="motdepasse" id="motdepassetmp"></p>\
  <p><input type="submit" name="Ok" id="connect" value="Envoyer"></p>\
</form>';

// Affichage des messages
function afficher_timeout() {
  $('#message').hide(200);
  // Suppression de l'éventuelle attente
  try{ window.clearTimeout(timeout); } catch(e){}
  timeout = window.setTimeout( function() {
    $('#message').empty().html(html1).show(200);
    $("#connect").click( function() { connect(); return false; });
    window.clearTimeout(timeout);
    timeout = window.setTimeout( function() {
      $('#message').empty().html(html2);
      $("#connect").click( function() { connect(); return false; });
    } , 300000);
  } , 600000);
}

// Vérification de la connexion et reconnexion
function connect() {
  var login = '';
  var motdepasse = '';
  if ( $('#formlogin').length > 0 )  {
    login = $('#logintmp').val();
    motdepasse = $('#motdepassetmp').val();
  }
  $.post('connect',
        { login : login , motdepasse : motdepasse },
        function(data) {
          if ( data.etat == 1 )  { afficher_timeout(); }
          else  {
            $('#message').html(html2);
            $("#connect").click( function() { connect(); return false; });
          }
        },
        "json");
}

// Initialisation
var timeout;
$( function() {
  $('<div id="message" class="warning"></div>').prependTo('body').css('display', 'none');
  afficher_timeout();
});
